Set environment variables

PUT
/api/v1/projects/{projectId}/environment-variables

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

projectId*string

Request body

application/json
  1. body
entries*array<>
Items1 <= items <= 500

Response body

EnvironmentVariableList

application/json
  1. response
items*array<>
curl -X PUT 'https://api.capy.ai/api/v1/projects/string/environment-variables' \  -H 'Content-Type: application/json' \  -d '{  "entries": [    {      "name": "string",      "value": "string"    }  ]}'
{  "items": [    {      "name": "string",      "description": "string",      "updatedAt": "string"    }  ]}
Open in Capy